Summary: Complementary and updated manual pages
Name: man-pages-overrides
Version: 7.1.3
Release: 1%{?dist}
# license is the same as for the man-pages package
License: GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
Group: Documentation
# there is no public download location for this package
Source: man-pages-overrides-%{version}.tar.xz

Patch0: 1073718-mpo-7.1.0-open.2.patch
Patch1: 1086994-mpo-7.1.0-proc.5.patch
Patch2: 1040023-mpo-7.1.0-vsftpd.conf.5.patch
Patch3: 1021967-mpo-7.1.0-socat.1.patch
Patch4: 1131853-mpo-7.1.0-proc.5-proc-fs-not-empty.patch
Patch5: 1146259-mpo-7.1.0-xinetd.8.patch
Patch6: 1104994-mpo-7.1.0-vsfptd.conf.5-missing-isolate-options.patch
Patch7: 1129235-mpo-7.1.0-flock.2.patch
Patch8: 948457-mpo-7.1.0-mt.1.patch
Patch9: 948599-mpo-7.1.0-edac-ctl.patch
Patch10: 1109291-mpo-7.1.0-mailx.1.patch
Patch11: 1109294-mpo-7.1.0-mailx.1.environment-variables.patch
Patch12: 1131939-mpo-7.1.0-charsets.7-nl_langinfo.3.patch
Patch13: 1131859-mpo-7.1.0-host.conf.5.patch
Patch14: 1066917-mpo-7.1.0-zsh.1-zshall.1.patch
Patch15: 964302-mpo-7.1.0-pam_krb5.8.patch
Patch16: 1140589-mpo-7.1.0-wget.1.patch
# aarch64 specific patch
Patch17: 1095371-clone-and-open-for-aarch64.patch
Patch18: 1148758-delete-system-config-bind-text-from-named.8.patch
Patch19: 1120294-madvise.2-MADV_REMOVE-supports-more-filesystems.patch
Patch20: 1147718-resolv.conf.5-add-missing-no-tld-query.patch
Patch21: 948487-mc.1-fixing-typos.patch
Patch22: 1064756-mpo-7.1.2-netstat.8.patch

%description
A collection of manual ("man") pages to complement other packages or update
those contained therein. Always have the latest version of this package
installed.

%prep
%autosetup -p1

%build
%ifarch aarch64
    deprecated_pages="access alarm bdflush chmod chown creat dup2 epoll_create epoll_wait eventfd fork futimesat getdents getpgrp inotify_init lchown link mkdir mknod pause pipe poll readlink recv rename rmdir select send signalfd symlink sysctl time umount unlink uselib ustat utime utimes vfork wait4"
    cd man-pages/man2
    for page in $deprecated_pages; do
        cp deprecated.2 $page.2
    done
    mv ____clone.2 clone.2
    mv ____open.2 open.2
%else
    rm man-pages/man2/deprecated.2
    rm man-pages/man2/____clone.2
    rm man-pages/man2/____open.2
%endif


%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
for i in *; do
    if [[ -d "$i" ]]; then
        for j in $(ls "$i"); do
           if [[ -d "$i/$j" ]]; then
               mkdir -p "$RPM_BUILD_ROOT%{_mandir}/overrides/$j"
               for k in $(ls "$i/$j"); do
                   if [[ -d "$i/$j/$k" ]]; then
                       mkdir -p "$RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k"
                       cp -f "$i/$j/$k"/* "$RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k"
                   else
                       cp -f "$i/$j"/* "$RPM_BUILD_ROOT%{_mandir}/overrides/$j"
                   fi
               done
           else
              mkdir -p "$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i"
              cp "$i/$j" "$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i"
           fi
        done
    fi
done

%files
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/overrides/

%changelog
* Tue Dec 16 2014 jchaloup <jchaloup@redhat.com> - 7.1.3-1
- resolver.5 is a redirection to resolv.conf
  upload the latest tarball
  related: #1147718
- procng-ng contains pl/pkill.1 man page which reffers non-existing one, removing the pl mutation
  related: #1150170

* Tue Nov 25 2014 jchaloup <jchaloup@redhat.com> - 7.1.2-1
- netstat.8 -S/--sctp options added
  resolves: #1064756
- latest tarball uploaded
- update ecj.1 man page to the latest upstream version
  related: #948442

* Thu Oct 16 2014 jchaloup <jchaloup@redhat.com> - 7.1.1-1
- deprecated syscalls for aarch64
  related: #1095371
- latest tarball uploaded
- delete system-config-bind text from named.8
  resolves: #1148758
- madvise.2 MADV_REMOVE supports more filesystems
  resolves: #1120294
- resolv.conf.5 add missing no-tld-query
  resolves: #1147718
- mc.1 fixing typos
  resolves: #948487
- missing fanotify manual pages added (in tarball)
  resolves: #1155260
- missing localized man-pages in procps-ng 3.3.10 added (in tarball)
  resolves: #1150170

* Mon Aug 11 2014 jchaloup <jchaloup@redhat.com> - 7.1.0-1
- resolves: #1095371
  deprecated syscalls for aarch64 (remove man page and its syscalls for non-aarch64 archs)
  latest tarball uploaded
- resolves: #1073718
  clarification of open.2 man page about aligned buffer size
- resolves: #1086994
  adding missing proc fields description
- resolves: #1040023
  ssl_request_cert formating typo in vsftpd.conf man page
- resolves: #1021967
  socat formating typo in man page
- resolves: #1131853
  proc/fs is not an empty directory
- resolves: #1146259
  information about xinitd reload
- resolves: #1104994
  missing isolate options in vsftpd.conf man page
- resolves: #1129235
  flock.2 more info about locks over NFS
- resolves: #948457
  mt.1 missing option section
- resolves: #948599
  edac-ctl.1 missing options
- resolves: #1109291
  mailx.1 additional information about FROM syntax
- resolves: #1109294
  mailx.1 additional information about environment variables
- resolves: #1131939
  charset.7, nl_langinfo.3 information about implicit codeset
- resolves: #1131859
  host.conf.5. multi on by default
- resolves: #1066917
  zsh.1, zshall.1 missing option for emulation
- resolves: #964302
  ignore_afs missing options in pam_krb5.8
- resolves: #1140589
  wget.1 duplicated options deleted
- resolves: #1069350
  wrong symlink in run-parts.4, cp crontabs.4 run-parts.4 (in tarball)
- resolves: #948442
  new man page for ecj.1 (in tarball)

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 7.0.0-2
- Mass rebuild 2013-12-27

* Thu Oct 18 2012 Peter Schiffer <pschiffe@redhat.com> 7.0.0-1
- initial package for RHEL-7.0
